/******************** (C) COPYRIGHT 2008 STMicroelectronics ********************
* File Name          : BLDC_Motor.h
* Author             : IMS Systems Lab 
* Date First Issued  : mm/dd/yyy
* Description        : BLDC motor types and interface
********************************************************************************
* History:
* mm/dd/yyyy ver. x.y.z
********************************************************************************
* THE PRESENT SOFTWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
* WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE TIME.
* AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY DIRECT,
* INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE
* CONTENT OF SUCH SOFTWARE AND/OR THE USE MADE BY CUSTOMERS OF THE CODING
* INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
*
* THIS SOURCE CODE IS PROTECTED BY A LICENSE.
* FOR MORE INFORMATION PLEASE CAREFULLY READ THE LICENSE AGREEMENT FILE LOCATED
* IN THE ROOT DIRECTORY OF THIS FIRMWARE PACKAGE.
*******************************************************************************/

#ifndef __BLDC_MOTOR_PARAM_H
#define __BLDC_MOTOR_PARAM_H

// Real time parameters default values
#define MEASURED_ROTOR_SPEED 0 // (unit rpm)

// Constant parameters
#define MOTOR_POLE_PAIRS 2 // (unit none)
#define MAX_SPEED_RPM 3500 // (unit rpm)

#endif /* __BLDC_MOTOR_PARAM_H */

 // (C) COPYRIGHT 2008 STMicroelectronics *****END OF FILE***