/******************** (C) COPYRIGHT 2008 STMicroelectronics ********************
* File Name          : dev_type.h
* Author             : IMS Systems Lab 
* Date First Issued  : mm/dd/yyy
* Description        : standard type definition
********************************************************************************
* History:
* mm/dd/yyyy ver. x.y.z
********************************************************************************
* THE PRESENT SOFTWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
* WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE TIME.
* AS A RESULT, STMICROELECTRONICS SHALL NOT BE HELD LIABLE FOR ANY DIRECT,
* INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING FROM THE
* CONTENT OF SUCH SOFTWARE AND/OR THE USE MADE BY CUSTOMERS OF THE CODING
* INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
*
* THIS SOURCE CODE IS PROTECTED BY A LICENSE.
* FOR MORE INFORMATION PLEASE CAREFULLY READ THE LICENSE AGREEMENT FILE LOCATED
* IN THE ROOT DIRECTORY OF THIS FIRMWARE PACKAGE.
*******************************************************************************/

#ifndef __DEV_TYPE_H__
#define __DEV_TYPE_H__

#include "stm8s_type.h"

#ifndef NULL
#define NULL	(void *)0
#endif

typedef u8 *pu8;
typedef s8 *ps8;
typedef u16 *pu16;
typedef s16 *ps16;
typedef u32 *pu32;
typedef s32 *ps32;

typedef u8 errorcode;

#endif /* __DEV_TYPE_H__ */
 // (C) COPYRIGHT 2008 STMicroelectronics *****END OF FILE***

